# Uses of Class
com.google.protobuf.GeneratedMessage.ExtendableBuilder

Packages that use GeneratedMessage.ExtendableBuilder
Package
Description
com.google.protobuf

## Uses of GeneratedMessage.ExtendableBuilder in com.google.protobuf

Classes in com.google.protobuf with type parameters of type GeneratedMessage.ExtendableBuilder
Modifier and Type
Class
Description
`static class`
`GeneratedMessage.ExtendableBuilder<MessageType extends GeneratedMessage.ExtendableMessage,BuilderType extends GeneratedMessage.ExtendableBuilder<MessageType,BuilderType>>`
Generated message builders for message types that contain extension ranges subclass this.
Constructors in com.google.protobuf with parameters of type GeneratedMessage.ExtendableBuilder
Modifier
Constructor
Description
`protected`
`ExtendableMessage(GeneratedMessage.ExtendableBuilder<MessageType,?> builder)`